netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dsi_getsess.c File Reference
`#include <errno.h>`
`#include <signal.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <unistd.h>`
`#include <atalk/dsi.h>`
`#include <atalk/logger.h>`
`#include <atalk/server_child.h>`
`#include <atalk/util.h>`

## Functions
int | dsi_getsession (DSI *dsi, server_child_t *serv_children, int tickleval, afp_child_t **childp)
| Start a DSI session, fork an afpd process.

## Function Documentation

## ◆ dsi_getsession()

int dsi_getsession | ( | DSI * | dsi,
|  | server_child_t * | serv_children,
|  | int | tickleval,
|  | afp_child_t ** | childp )

Start a DSI session, fork an afpd process.

Parameters

  [in,out] | dsi | DSI structure
  [in,out] | serv_children | pointer to our structure with all childs
  [in] | tickleval | tickle interval in seconds
  [out] | childp | after fork: parent return pointer to child, child returns NULL

Returns
  0 on success, any other value denotes failure